import { type Highlighter } from 'shiki';
export declare function getHighlighter(): Promise<Highlighter>;
export interface HighlightOptions {
    showLineNumbers?: boolean;
}
export declare function highlightCode(code: string, language: string, theme?: string, options?: HighlightOptions): Promise<string>;
